﻿@using dbChange.Models.VanPhongSo;
@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "BoChungTu_ChiTiet";
    Layout = "~/Views/Shared/_Layout_VanPhongSo.cshtml";
    var vanban = ViewData["vanban"] as VanBan;
    var vanBan_ChiTiet = ViewData["vanBan_ChiTiet"] as List<VanBan_ChiTiet>;
    var Quyen = ViewData["Quyen"] as List<VanBan_Quyen>;
    bool isScan = Convert.ToBoolean(ViewData["isScan"]);
    var IdAccount = Convert.ToInt64(ViewData["IdAccount"]);

    var DonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
    var LoaiVanBan = ViewData["LoaiVanBan"] as List<LoaiVanBan>;
}

<div class="iq-card">
    <div class="iq-card-header d-flex justify-content-between">
        <div class="iq-header-title">
            <h4 class="text-primary card-title">
                <i class="ri-profile-line"></i>
                @vanban.TieuDe
            </h4>
        </div>
        <a data-toggle="collapse" href="#collapseContent" role="button" aria-expanded="true" aria-controls="collapseContent">
            <h4><i class="fa fa-arrows-v"></i></h4>
        </a>
    </div>
    <div class="iq-card-body">
        <form id="form1" class="form-horizontal form_CapNhat_BoChungTu" action="" novalidate>
            @if (vanban.IdNguoiTao == IdAccount)
            {
            @if (vanban.TrangThai == "MoiTao")
                {
            <div class="form-group btn-group-sm">
                <button type="button" class="btn btn-primary mr-1 btnLuuPhieu"><i class="fa fa-save"></i> Lưu phiếu</button>
                <button type="button" class="btn btn-success mr-1 btnKhoaPhieu"><i class="fa fa-lock"></i> Khoá phiếu</button>
                <button type="button" class="btn btn-secondary" data-toggle="modal" data-target="#modal_Them_ChungTu_ChiTiet" data-id-bochungtu="@vanban.Id">
                    <i class="fa fa-plus"></i> Thêm chi tiết
                </button>
            </div>
                }
                else if (vanban.TrangThai == "DaKhoa")
                {
            <div class="form-group btn-group-sm">
                <button type="button" class="btn btn-primary mr-1 " disabled><i class="fa fa-save"></i> Lưu phiếu</button>
                <button type="button" class="btn btn-success mr-1 " disabled><i class="fa fa-lock"></i> Khoá phiếu</button>
                @if (isScan)
                        {
                <button type="button" class="btn btn-success mr-1 btnHoanTat "><i class="fa fa-check"></i> Hoàn tất</button>
                        }
                <button type="button" class="btn btn-secondary" disabled><i class="fa fa-plus"></i> Thêm chi tiết</button>
            </div>
                }
                else if (vanban.TrangThai == "HoanTat")
                {
            <div class="form-group btn-group-sm">
                <button type="button" class="btn btn-primary mr-1 " disabled><i class="fa fa-save"></i> Lưu phiếu</button>
                <button type="button" class="btn btn-success mr-1 " disabled><i class="fa fa-lock"></i> Khoá phiếu</button>
                @if (isScan)
                        {
                <button type="button" class="btn btn-warning mr-1 btnMoKhoaPhieu "><i class="fa fa-unlock"></i> Mở khóa phiếu</button>
                        }
                <button type="button" class="btn btn-secondary" disabled><i class="fa fa-plus"></i> Thêm chi tiết</button>
            </div>
                }
            }
            else
            {
                if (vanban.TrangThai == "DaKhoa")
                {
            <div class="form-group btn-group-sm">
                <button type="button" class="btn btn-warning mr-1 btnMoKhoaPhieu "><i class="fa fa-unlock"></i> Mở khóa phiếu</button>
                <button type="button" class="btn btn-success mr-1 btnHoanTat "><i class="fa fa-check"></i> Hoàn tất</button>
            </div>
                }
                else if (vanban.TrangThai == "HoanTat")
                {
            <div class="form-group btn-group-sm">
                <button type="button" class="btn btn-warning mr-1 btnMoKhoaPhieu "><i class="fa fa-unlock"></i> Mở khóa phiếu</button>
                <button type="button" class="btn btn-success mr-1 "><i class="fa fa-check" disabled></i> Hoàn tất</button>
            </div>
                }
            }
            <div class="collapse show" id="collapseContent">
                <div class="row">
                    <div class="col-sm-6 col-12">
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="TenDonVi">Phòng ban:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <select class="form-control form-control-sm IdDonVi" name="IdDonVi" id="IdDonVi" required>
                                    @{
                                        if(isScan){
                                        <option selected value="@vanban.Id">@vanban.TenDonVi</option>
                                        }else{
                                            foreach (DM_BoPhanChiTiet row in DonVi)
                                            {
                                                if (row.Id == vanban.IdDonVi)
                                                {
                                        <option selected value="@row.Id">@row.TenDonVi</option>
                                                }
                                                else
                                                {
                                        <option value="@row.Id">@row.TenDonVi</option>
                                                }
                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="TenDonVi">Loại văn bản:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <select class="form-control form-control-sm IdLoaiVanBan" name="IdLoaiVanBan" id="IdLoaiVanBan" required>
                                    @{
                                        foreach (LoaiVanBan row in LoaiVanBan)
                                        {
                                            if (row.Id == vanban.IdLoaiVanban)
                                            {
                                                <option selected value="@row.Id">@row.TenLoaiVanBan</option>
                                            }
                                            else
                                            {
                                                <option value="@row.Id">@row.TenLoaiVanBan</option>
                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-4 col-12 align-self-center mb-0" for="TieuDe">Tiêu đề:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm TieuDe" id="TieuDe" value="@vanban.TieuDe" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="NoiDung">Nội dung:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <textarea class="form-control form-control-sm NoiDung" rows="5" id="NoiDung" required>@vanban.NoiDung</textarea>
                            </div>
                        </div>
                        <!--
                    <div class="form-group row">
                        <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="GhiChu">Ghi chú:</label>
                        <div class="col-xl-8 col-lg-8 col-12">
                            <input type="text" class="form-control form-control-sm GhiChu" id="GhiChu" value="@vanban.GhiChu" required>
                        </div>
                    </div>
                    -->
                    </div>

                    <div class="col-sm-6 col-12">
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-4 col-12 align-self-center mb-0" for="MaVanBan">Mã văn bản:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm" id="MaVanBan" value="@vanban.MaVanBan" readonly required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="TenDonVi">Quyền:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <select class="form-control form-control-sm MaQuyenVanBan" name="MaQuyenVanBan" id="MaQuyenVanBan" required>
                                    @{
                                        foreach (VanBan_Quyen row in Quyen)
                                        {
                                            if (row.MaQuyenVanBan == vanban.MaQuyenVanBan)
                                            {
                                        <option selected value="@row.MaQuyenVanBan">@row.TenQuyenVanBan</option>
                                            }
                                            else
                                            {
                                        <option value="@row.MaQuyenVanBan">@row.TenQuyenVanBan</option>
                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>




                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-12 align-self-center mb-0" for="NguoiTao">Người tạo:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm" id="TenNguoiTao" value="@vanban.TenNguoiTao" readonly>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-4 col-12 align-self-center mb-0" for="NgayTao">Ngày tạo:</label>
                            <div class="col-xl-8 col-lg-8 col-12">
                                <input type="text" class="form-control form-control-sm" id="NgayTao" value="@vanban.NgayTao.ToString("dd/MM/yyyy")" readonly>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="control-label col-xl-3 col-lg-3 col-4 align-self-center mb-0" for="TrangThai">Trạng thái:</label>
                            <div class="col-xl-8 col-lg-8 col-6">
                                <h5>
                                    @{
                                        if (vanban.TrangThai == "MoiTao")
                                        {
                                        <span class="badge badge-pill badge-secondary">Mới tạo</span>
                                        }
                                        else if (vanban.TrangThai == "HoanTat")
                                        {
                                        <span class="badge badge-pill badge-success">Hoàn tất</span>
                                        }
                                        else if (vanban.TrangThai == "DaKhoa")
                                        {
                                        <span class="badge badge-pill badge-warning">Đã khóa</span>
                                        }
                                        else if (vanban.TrangThai == "DaHuy")
                                        {
                                        <span class="badge badge-pill badge-danger">Đã huỷ</span>
                                        }
                                    }
                                </h5>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </form>
       
    @*<button type="button" onclick="scanToPdfWithThumbnails();">Scan</button>
    <form id="form1" action="" method="POST" enctype="multipart/form-data" target="_blank">
        <input type="text" id="sample-field" name="sample-field" value="Test scan" />
        <input type="button" value="Submit" onclick="submitFormWithScannedImages();">
    </form>*@
        
    </div>
</div>

<div class="iq-card">
    <!-- <div class="iq-card-header d-flex justify-content-between">
       <div class="iq-header-title">
          <h4 class="text-primary card-title">
             <i class="fa fa-list-alt" aria-hidden="true"></i>
             Chi tiết
          </h4>
       </div>
    </div> -->

    <div class="iq-card-body">
        <div id="gridContainer"></div>
    </div>
</div>

<div class="modal fade" id="modal_ChiaSe" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalScrollableTitle">Chia sẻ chứng từ</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary btnCopyLink">Copy link</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal_Upload" data-backdrop="static" data-keyboard="false" tabindex="-1"  role="dialog" aria-labelledby="example_modal_Upload" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="example_modal_Upload"><i class="fa fa-cloud-upload"></i> Upload </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal_Them_ChungTu_ChiTiet" tabindex="-1" role="dialog" aria-labelledby="example_modal_Them_ChungTu_ChiTiet" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="example_modal_Them_ChungTu_ChiTiet"> <i class="fa fa-plus"></i> Thêm chứng từ chi tiết</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <div class="w-100">
                    <form action="#" method="post" enctype="multipart/form-data" class="form_Them_ChungTu_ChiTiet" novalidate>
                        <input type="hidden" class="IdVanBan" value="@vanban.Id" />
                        <div class="form-row">
                            <div class="col-md-12 mb-12">
                                <label for="validationDefault01">Tiêu đề</label>
                                <input type="text" class="form-control TieuDe" name="TieuDe" required>
                                <div class="invalid-feedback">Vui lòng nhập tiêu đề</div>
                            </div>
                            <div class="col-md-12 mb-12">
                                <label for="validationDefault01">Nội dung</label>
                                <textarea class="form-control NoiDung" name="NoiDung" textarea></textarea>
                                <div class="invalid-feedback">Vui lòng nhập nội dung</div>
                            </div>
                            <div class="col-md-12 mb-12">
                                <label for="validationDefault01">Quyền</label>
                                <select class="form-control MaQuyenVanBan" name="MaQuyenVanBan" id="MaQuyenVanBan" required>
                                    @{
                                        foreach (VanBan_Quyen row in Quyen)
                                        {
                                            <option value="@row.MaQuyenVanBan">@row.TenQuyenVanBan</option>
                                        }
                                    }
                                </select>
                            </div>
                            <!--
                            <div class="col-md-12 mb-3">
                                <label for="validationDefault01">Ghi chú</label>
                                <input type="text" class="form-control GhiChu" name="GhiChu">
                            </div>
                            <div class="col-md-12 mb-3">
                                 <label for="validationDefault01">Chọn file scan chứng từ</label>
                                <input type="file" class="form-control-file" name="file_dinh_kem[]" id="file_dinh_kem" required>
                                <div class="invalid-feedback">Vui lòng chọn file scan</div>
                            </div> -->
                        </div>

                        <div class="form-group mt-4 text-right">
                            <button class="btn btn-primary mr-3 d-none btn_reset" type="reset">Reset Form</button>
                            <button class="btn btn-primary mr-3" type="submit">Thêm</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>